Open CASCADE Technology: Extrema_ExtPRevS Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Extrema_ExtPRevS Class Reference

It calculates all the extremum (minimum and maximum) distances between a point and a surface of revolution. More...

`#include <Extrema_ExtPRevS.hxx>`

Inheritance diagram for Extrema_ExtPRevS:
[legend]

## Public Member Functions
| Extrema_ExtPRevS ()
| Extrema_ExtPRevS (const gp_Pnt &P, const Handle< Adaptor3d_HSurfaceOfRevolution > &S, const Standard_Real Umin, const Standard_Real Usup, const Standard_Real Vmin, const Standard_Real Vsup, const Standard_Real TolU, const Standard_Real TolV)
| It calculates all the distances between a point from gp and a SurfacePtr from Adaptor3d. More...
| Extrema_ExtPRevS (const gp_Pnt &P, const Handle< Adaptor3d_HSurfaceOfRevolution > &S, const Standard_Real TolU, const Standard_Real TolV)
| It calculates all the distances between a point from gp and a SurfacePtr from Adaptor3d. More...
void | Initialize (const Handle< Adaptor3d_HSurfaceOfRevolution > &S, const Standard_Real Umin, const Standard_Real Usup, const Standard_Real Vmin, const Standard_Real Vsup, const Standard_Real TolU, const Standard_Real TolV)
void | Perform (const gp_Pnt &P)
Standard_Boolean | IsDone () const
| Returns True if the distances are found. More...
Standard_Integer | NbExt () const
| Returns the number of extremum distances. More...
Standard_Real | SquareDistance (const Standard_Integer N) const
| Returns the value of the Nth resulting square distance. More...
const Extrema_POnSurf & | Point (const Standard_Integer N) const
| Returns the point of the Nth resulting distance. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

It calculates all the extremum (minimum and maximum) distances between a point and a surface of revolution.

## Constructor & Destructor Documentation

Extrema_ExtPRevS::Extrema_ExtPRevS | ( |  | ) |

Extrema_ExtPRevS::Extrema_ExtPRevS | ( | const gp_Pnt & | P,
|  | const Handle< Adaptor3d_HSurfaceOfRevolution > & | S,
|  | const Standard_Real | Umin,
|  | const Standard_Real | Usup,
|  | const Standard_Real | Vmin,
|  | const Standard_Real | Vsup,
|  | const Standard_Real | TolU,
|  | const Standard_Real | TolV
| ) |  |

It calculates all the distances between a point from gp and a SurfacePtr from Adaptor3d.

Extrema_ExtPRevS::Extrema_ExtPRevS | ( | const gp_Pnt & | P,
|  | const Handle< Adaptor3d_HSurfaceOfRevolution > & | S,
|  | const Standard_Real | TolU,
|  | const Standard_Real | TolV
| ) |  |

It calculates all the distances between a point from gp and a SurfacePtr from Adaptor3d.

## Member Function Documentation

void Extrema_ExtPRevS::Initialize | ( | const Handle< Adaptor3d_HSurfaceOfRevolution > & | S,
|  | const Standard_Real | Umin,
|  | const Standard_Real | Usup,
|  | const Standard_Real | Vmin,
|  | const Standard_Real | Vsup,
|  | const Standard_Real | TolU,
|  | const Standard_Real | TolV
| ) |  |

Standard_Boolean Extrema_ExtPRevS::IsDone | ( |  | ) | const

Returns True if the distances are found.

Standard_Integer Extrema_ExtPRevS::NbExt | ( |  | ) | const

Returns the number of extremum distances.

void Extrema_ExtPRevS::Perform | ( | const gp_Pnt & | P | ) |

const Extrema_POnSurf& Extrema_ExtPRevS::Point | ( | const Standard_Integer | N | ) | const

Returns the point of the Nth resulting distance.

Standard_Real Extrema_ExtPRevS::SquareDistance | ( | const Standard_Integer | N | ) | const

Returns the value of the Nth resulting square distance.

The documentation for this class was generated from the following file:

- Extrema_ExtPRevS.hxx